JAVA AWS - Application Designer and Developer -NL- Name​: **`Kishor Kumar`[NAME]**. -NL- Email​: **`KishorPro@gmail.com`[EMAILS_EMAIL]** -NL- Phone​: **`+44-7581-210-571`[PHONES_PHONE]** -NL- Home Location​: Slough, SL3. Citizenship:​ British -NL- Note​: SC Cleared during 2008 to 2017 -NL- **`E​XPERIENCE​S​UMMARY`[SUMMARY_HEADING]** -NL- Over 15 years of experience in designing and developing enterprise applications using ​Java​/JEE/J2EE​, AWS -NL- and supporting technologies. -NL- ▪ Strong programming skills in ​Java​, Web Services (​ReST​ and SOAP), ​AWS​, Spring, ​Spring Boot​, JPA, -NL- Hibernate​,​Servlet​,​EJB​, JMS, ​JSP​​etc., mostly server-side, middleware and backend programming. -NL- ▪ Experienced in designing and developing ​Object Oriented​, Multi-tiered, MVC, ​Microservices​ and SOA -NL- based easily maintainable, extendable and scalable web applications. -NL- ▪ Well versed with ​Design Patterns, ​UML and Architectural patterns. -NL- ▪ Proficient in following TDD approach using ​JUnit, Mockito, ​PowerMock,​WireMock​ etc.. -NL- ▪ Strong knowledge of ​Relational​ and ​NoSQL​ databases. -NL- ▪ Strong analytical and design skills, including the ability to understand business requirements and translate -NL- them into efficient and effective technical designs. -NL- ▪ Excellent troubleshooting skills, with the ability to quickly identify the root cause of issues, and effectively -NL- communicate the possible resolutions. -NL- ▪ Experience of various software development methodologies -​ Agile​, RUP​​and Waterfall. -NL- ▪ Experienced in working as technical lead, reviewing artifacts (architecture, design & code) , mentoring -NL- colleagues and coordinating with offshore teams. -NL- ▪ Having diversified domain experience e.g. retail, tax and revenues, airlines, social security, weather -NL- forecasting, utility etc. -NL- **`K​NOWLEDGE​P​ROFILE`[WORK_EXPERIENCE_HEADING]** -NL- Java -NL- Core ​Java​ (1.7, ​1.8​), Multithreading, Future, Collection, Reflection, JDBC etc. -NL- J2EE/JEE -NL- Web Service, JAX-RS(​ReSTful​), JAX-WS(​SOAP​, WSDL), JSP, Servlet, JSF, JDBC, -NL- EJB, JMS, JPA etc. -NL- Cloud (AWS) -NL- API Gateway, ​Lambda​,​EC2​,​DynamoDB​,​S3​ Bucket, SQS, SNS etc. -NL- technologies -NL- TDD and BDD -NL- JUnit, Mockito, ​PowerMock, JMockit, ​WireMock​, TestNG, ​JBehave​. -NL- Middleware & -NL- ActiveMQ​, Oracle (AquaLogic) Service Bus, Apache Camel, IBM MQSeries. -NL- Messaging -NL- **`Design Skills`[SKILLS_HEADING]** -NL- Object Oriented Analysis and Design, Design patterns, J2EE Design patterns, -NL- Architectural Patterns, Database Designing, UML. -NL- Open Source & -NL- Spring, ​Spring Boot​,​Docker,​Kubernetes​, Swagger​,​JWT​, Hibernate, iBATIS, -NL- Others -NL- RestEasy, Axis, CXF, Terracotta(EhCache), Guava API, slf4j, Log4j2, Velocity, -NL- Cobertura, Lucene, Fredhopper, Quartz, VisualVM, jProfiler etc. -NL- Database -NL- DynamoDB​,​SQL​, PL/SQL, Oracle, VoltDB, DB2 -NL- Web Framework -NL- MVC, Struts. -NL- Scripting -NL- JavaScript​,​JSON​, jQuery, AJAX, XML, XSL, XSLT, wsdl, HTML. -NL- Build Tools -NL- Maven, Gradle ​and Ant -NL- App. Server -NL- Websphare, Weblogic, JBoss, Apache Tomcat, Jetty. -NL- IDE & Tools -NL- Eclipse, ​IntelliJ​,​CruiseControl,,​Jira​,​ ​Confluence​, ​Source Tree, Visio, Toad, Oracle -NL- SQL Developer -NL- CI/CD -NL- Git​, Bitbucket, Github, ​SVN​(Subversion)​, ​Jenkins -NL- OS -NL- Windows, Linux, Unix, Mac -NL- **`E​DUCATIONAL​Q​UALIFICATION`[EDUCATION_HEADING]** -NL- ▪ Master of Computer Application (M.C.A.). -NL- ▪ **`Bachelor of Science`[EDUCATION_DEGREE]** (B.Sc.(**`Physics`[EDUCATION_COURSE]**)). -NL- 1 -NL- Wo​RK​E​XPERIENCE -NL- ❖ Client: **`Wunderman Thompson Commerce`[EMPLOYER_COMPANY_NAME]** -NL- May. 2019 to Dec. 2019 -NL- ♦ Selfridges - Fredhopper Query Microservice -NL- The 'Fredhopper Query Service' is the migration of existing services from Websphere commerce to the AWS -NL- cloud based microservices by exposing ReST APIs. -NL- Environment​: Java 1.8, ReST, AWS (Lambda, S3 Bucket, API Gateway, CloudWatch), Spring, Junit, -NL- Mockito, WireMock, SonarQube, Log4j2, Gradle, Git, Jenkins, Jira, Agile, DB2, Fredhopper. -NL- Role​: Java/AWS developer – Analysis, Design and Development focus. -NL- Responsibilities: -NL- ▪ Understanding business logic by analysing the legacy code. -NL- ▪ Designing and developing the POC. -NL- ▪ Creating technical tickets in Jira. -NL- ▪ Implementing code using Java/AWS -NL- ▪ Writing JUnit and Integration tests. -NL- ▪ Reviewing code produced by others. -NL- ▪ Resolving live/staging issues after the release. -NL- ❖ Client: **`Waitrose Limited`[EMPLOYER_COMPANY_NAME]** -NL- Jul. 2016 to Dec. 2018 -NL- ♦ Waitrose - Payment Orchestration Service (POS) -NL- POS is a microservice that exposes ReST endpoints to communicate with Verifone’s payment APIs (SOAP). -NL- The objective of this session-based service is that the cardholder’s sensitive data must not traverse through -NL- the merchant’s network. The sensitive card details are captured in the user's browser and posted directly to -NL- Verifone's servers. -NL- Environment​: Java 1.8, Spring, Spring Boot, ReST, SOAP, JWT, Junit, Mockito, WireMock, Gradle, -NL- Bitbucket, Docker, Kubernetes, EC2, JIRA, Jenkins, Agile. -NL- Duration​ – 6 months -NL- ♦ Waitrose​​Project - -NL- IP -NL- The project IP is an initiative to transform Waitrose legacy applications into modern cloud based easily -NL- maintainable services.​​There are several projects under project IP. I worked on the following projects. -NL- Generic ETL Microservice​​-​​The Generic ETL reduces the effort of writing specific ETL significantly. Its an -NL- AWS lambda that extracts JSON payload from S3 bucket, transforms the payload and uploads them into -NL- corresponding DynamoDB tables based on the configured metadata. -NL- Delivery Slot Reservation Microservice​-​​Endpoints for retrieving - dates for which slots are available and -NL- slots for a given start date and end date and booking delivery slot for a given delivery date. -NL- Geolocation Microservice ​- Endpoint for geolocation lookups based on the given postcode or town name. -NL- Branch Microservice ​-​​Endpoints for retrieving branch related data based on the given branch id or postcode. -NL- Environment​: Java 1.8, API Gateway, Lambda, DynamoDB, S3 Bucket, Spring, Spring Boot, ReST, SOAP, -NL- Junit, Mockito, Gradle, Bitbucket, Jenkins, JIRA, Kibana, Agile. -NL- Duration​ – 20 months -NL- ♦ Waitrose - Refund Automation -NL- Previously, refund payments were manually processed in Waitrose stores using printout at the tills. The -NL- automated-refunds functionality removes the need for manual processing. In addition to auto-refund, It also -NL- allows the user to capture the new card details using payment api and reprocess the failed refunds and -NL- payments. -NL- Environment​: Java 1.7, Spring, ReST, BD2, iBITIS, JWT, Junit, Mockito, Active MQ, Websphare, Maven, -NL- SVN, Jenkins, JIRA, Agile. -NL- Duration​ – 6 months. -NL- Roles and responsibilities at Waitrose: ​Java/AWS developer – Analysis, Design and Development focus. -NL- 2 -NL- ▪ Analysing requirement specification. -NL- ▪ Developing POC -NL- ▪ Writing JUnit and Integration tests. -NL- ▪ Developing implementation in Java/AWS -NL- ▪ Assisting DevOps team. -NL- ▪ Reviewing design documents and code produced by others. -NL- ▪ Ensuring best practices. -NL- ▪ Troubleshooting -NL- ▪ Communicating with product owners and other developers. -NL- ❖ **`CGI`[EMPLOYER_COMPANY_NAME]** - **`Smart Metering – Data Service Provider`[EMPLOYER_ROLE]** -NL- Oct. 2014 – June 2016 -NL- The DSP facilitates smart metering data and secure communication between DCC service users and the -NL- physical smart meter using CSP (Communication Service Provider) channels. -NL- The application supports a very high number of service requests per second in asynchronous and -NL- non-blocking manner. It follows Micro Services architecture and design principles. The system validates the -NL- service user credentials and the payload authenticity, transforms the service request into meter command and -NL- sends the command to the device through CSP. Device sends back the response to the DSP via CSP and DSP -NL- sends the response to the user. -NL- Environment​: Java 1.7, Java EE, RestEasy, Oracle, VoltDB, Junit, Mockito, JBehave, JBoss, , Log4j2, -NL- Maven, SVN, Jenkins, Agile. -NL- Role​: Component designer and developer – Analysis, Design and Development focus. -NL- Responsibilities: -NL- ▪ Analysing service requests and producing design documents. -NL- ▪ Implementing core components, web services(ReST) and data management components. -NL- ▪ Writing JUnit and Integration tests. -NL- ▪ Reviewing design documents and code produced by others. -NL- ▪ Mentoring new colleagues. -NL- End -NL- – Client​​DCC​(Capita). -NL- ❖ **`Home Office`[EMPLOYER_COMPANY_NAME]** – **`MVP – Visa Processing System`[EMPLOYER_ROLE]** -NL- Jul. 2014 – Oct.2014 -NL- SOA based minimal viable products that will gradually replace the legacy visa processing system. -NL- OpenLDAP is being used as a security credential provider for application level security and user -NL- authentication & authorisation. -NL- Environment​: Java 1.7, SOA, OpenLDAP, Spring Security, Spring LDAP, slf4j, Maven, Git, Jenkins, -NL- Oracle SOA Suite, Agile. -NL- Role​: Application security developer - Architecture, Design and Development focus. -NL- Responsibilities: -NL- ▪ Producing architecture and design for application security systems. -NL- ▪ Developing POC using OpenLDAP and Spring security package. -NL- ▪ Integration with Weblogic. -NL- ▪ Designing and development of backend services for user credential management. -NL- ❖ **`AFRC`[EMPLOYER_COMPANY_NAME]** – **`Registration and payment system`[EMPLOYER_ROLE]** -NL- Jan. 2014 – Jun. 2014 -NL- Scottish Government **`AFRC`[EMPLOYER_COMPANY_NAME]** (Agriculture, Food & Rural Communities) pays grants and subsidies to the -NL- farmers in accordance with the European Union Common Agricultural Policy (CAP). This is SOA based -NL- enterprise system which provides complete IT solution to execute the business processes involved in the -NL- payment of grants. The system facilities for user(farmers, agency, authority) registration, communication -NL- between authorities and farmers, inspection, approval and payment. -NL- Environment​: Java 1.6, JAX-WS, JAX-RS, JAXB, XML, XSD, JSF, Spring MVC, JPA, slf4j, Maven, -NL- JBoss(EAP JPP Fuse), CXF, Apache Camel, Oracle 11g,​ ​Maven, SVN, Jenkins, Agile. -NL- Role​: Java application Senior developer - Architecture, Design and Development focus. -NL- Responsibilities: -NL- ▪ Designing APIs for Web services and JPA services. -NL- 3 -NL- ▪ Writing wsdl, xsd, resource bundle files and developing code web services and JPA. -NL- ▪ Developing JSF code. -NL- ▪ Designing database table structure in coordination with DBA -NL- ▪ Followed Agile methodologies and TDD. -NL- ▪ Analysing user requirements and suggesting optimal feasible solutions. -NL- ▪ Communicating with product owners. -NL- End Client​ - Scottish Government. -NL- ❖ Client:​​**`Met Office`[EMPLOYER_COMPANY_NAME]**, UK. -NL- Apr. 2010 to Oct. 2013 -NL- -​​Core ♦ **`Met Office`[EMPLOYER_COMPANY_NAME]** -NL- Cache Framework and Applications -NL- A framework facilitates caching functionality to other applications (e.g. LayerCahe, EAGuidance, -NL- EuroControl, SafeSee etc.) -NL- Environment: Java 1.6, Spring 3, JMS, ActiveMQ, ReSTful, RestEasy, JAXB, XML, XSL, JSON, EhCache, -NL- Quartz, slf4j, Maven, JBoss, Git, Jenkins, Agile. -NL- ♦ **`Met Office`[EMPLOYER_COMPANY_NAME]** - Product Oriented Data Storage Service(PODS2) -NL- PODS2 exposes web services to store and retrieve product data. -NL- Environment: Java 1.6, JPA, Hibernate, Spring 3, RESTful, JAXB, XML, XSL, Oracle 10g, slf4j, Maven, -NL- JBoss, Star Team, CruiseControl. -NL- ♦ **`Met Office`[EMPLOYER_COMPANY_NAME]** - Site Specific Processing Application (SSPA) -NL- Translates supercomputer generated raw data into intermediate format and uploads the generated data into the -NL- database. It interpolates the existing data and generates the Matrix, which helps in forecasting. -NL- Environment: Java 1.5, Spring 2.5, Quartz, Oracle 10g, Log4j, Star Team. -NL- ❖ Client:​​**`Capgemini`[EMPLOYER_COMPANY_NAME]**, UK. -NL- Sep. 2005 to Apr. 2010 -NL- ♦ HMRC - Channel Routing Integration and Transformation System (ChRIS) -NL- A SOA based implementation that provides a single entry point to the HMRC core domain for external and -NL- internal channels to transact with the Head of Duty systems and vice versa. -NL- Environment: Java 5, J2EE (MDB, JMS, Servlet, web services), SOA Architecture, XML, XSLT, Weblogic -NL- 9.2, ALSB, Oracle 10g. -NL- ♦ HMRC - Government Gateway Information System (GGIS) -NL- GGIS, a legacy system acts as a mediator between various front-end channels and the core Head of the Duty -NL- systems of HMRC, provides validation, transformation and routing service. -NL- Environment: Java1.4, J2EE (EJB2.0, Servlet), Web Service, XML, XSLT, Weblogic 8.1, Oracle 9i. -NL- ♦ Social Security Department, Netherlands - UWV - EBV -NL- Implementation of centralised data storage and controlled access for various departments and 3​rd​ parties. -NL- Environment: jdk1.4, EJB 2.0, JMS, JSP, JSF, AJAX, Java Script, Spring, Hibernate, Web Services, -NL- Velocity, XML, Weblogic 8.1, Oracle9i, Rational Rose, Clear Case, ClearQuest. -NL- ❖ Client:​​**`Virgin Atlantic Airlines`[EMPLOYER_COMPANY_NAME]** (VAA) -NL- Apr. 2002 to Sep. 2005 -NL- ​https://www.virgin-atlantic.com ♦ VAA - **`Virgin Atlantic Airlines`[EMPLOYER_COMPANY_NAME]** Website – -NL- A Website enables online ticket booking, Flying Club membership management, Staff Travel etc. -NL- ♦ VAA – Flight REport DAtabase (FReDa) -NL- A web based application capturing in-flight customer feedback and generating various MIS reports. -NL- **`R​EFERENCE`[OTHERS_HEADING]** -NL- Available on request. -NL- 4 -NL- 